function ckBiography(){
	if(document.Biography.Name.value==""){
		NameErr.innerHTML="<b class=Red>应聘者姓名不能为空！！</b>";
		return false;
	}else{
		if(DataLength(document.Biography.Name.value)==1){
			NameErr.innerHTML="<b class=Red>姓名必须为汉字！！</b>";
			return false;
		}
	}
	if(document.Biography.Age.value==""){
		AgeErr.innerHTML="<b class=Red>应聘者年龄不能为空！！</b>";
		return false;
	}else{
		if((checkNum(document.Biography.Age.value)==false)||(document.Biography.Age.value<0)||(document.Biography.Age.value>100)){
			AgeErr.innerHTML="<b class=Red>应聘者年龄不合法！！</b>";
			return false;
		}
	}
	if(document.Biography.HandSet.value==""){
		HandSetErr.innerHTML="<b class=Red>手机号码不能为空！！</b>";
		return false;
	}else{
		if(checkHandSet(document.Biography.HandSet.value)==false){
			HandSetErr.innerHTML="<b class=Red>手机号码不合法！！</b>";
			return false;	
		}	
	}
	if(document.Biography.Email.value==""){
		EmailErr.innerHTML="<b class=Red>电子邮箱不能为空！！</b>";
		return false;
	}else{
		if(checkEmail(document.Biography.Email.value)==false){
			EmailErr.innerHTML="<b class=Red>电子邮箱不合法！！</b>";
			return false;
		}
	}
	if(document.Biography.Address.value==""){
		AddressErr.innerHTML="<b class=Red>家庭住址不能为空！！</b>";
		return false;
	}
	if(document.Biography.Account.value==""){
		AccountErr.innerHTML="<b class=Red>户口住址不能为空！！</b>";
		return false;
	}
	if(document.Biography.IDcard.value==""){
		IDcardErr.innerHTML="<b class=Red>身份证号不能为空！！</b>";
		return false;
	}
	if(document.Biography.Professional.value==""){
		ProfessionalErr.innerHTML="<b class=Red>所学专业不能为空！！</b>";
		return false;
	}
	if(document.Biography.CollegeGraduates.value==""){
		CollegeGraduatesErr.innerHTML="<b class=Red>毕业学院不能为空！！</b>";
		return false;
	}
	if(document.Biography.GraduatesTime.value==""){
		GraduatesTimeErr.innerHTML="<b class=Red>毕业时间不能为空！！</b>";
		return false;
	}
	if(document.Biography.WorkExperience.value==""){
		WorkExperienceErr.innerHTML="<b class=Red>工作经历不能为空！！</b>";
		return false;
	}
	if(document.Biography.HopeWage.value==""){
		HopeWageErr.innerHTML="<b class=Red>期望薪金不能为空！！</b>";
		return false;
	}
	Biography.submit();
	return true;
}
function clearSpan(){
	var spanArr=document.getElementsByTagName("span");	
	for(var i=0;i<spanArr.length;i++){
		if((spanArr(i).className!="lBlk")&&(spanArr(i).id!="Mark")&&(spanArr(i).id!="Info")){
			spanArr(i).innerHTML="*";
		}
	}
	return;
}
//判断是否为汉字
function DataLength(fData){
var intLength=0;
for (var i=0;i<fData.length;i++){
	if ((fData.charCodeAt(i) < 0) || (fData.charCodeAt(i) > 255)){
		intLength=intLength+2;
	}else{
		intLength=intLength+1;
	}
	return intLength;
}
}
//判断是否为数字
function checkNum(n){ 
	var reg=/^\d+$/g;   
	if(reg.test(n)==false){
		return false;
	}
}
//判断手机号码
function checkHandSet(hs){
	if(/^13\d{9}$/g.test(hs)||(/^15[8,9]\d{8}$/g.test(hs)))
	{
		return true;
	}
	else
	{
		return false;
	}
}
//判断电子邮箱
function checkEmail(em){ 
	var strReg=""; 
	var r; 
	//var strText=document.all(str).value; 
	strReg=/^\w+((-\w+)|(\.\w+))*\@{1}\w+\.{1}\w{2,4}(\.{0,1}\w{2}){0,1}/ig;
	r=em.search(strReg); 
	if(r==-1){
		return false; 
	} 
}

